Fetch a driver's total worked hours

Purpose: Use this API to retrieve the total seconds worked per day per driver. This endpoint enables organisations to gather specific information based on user IDs, time tracking modes (logs or timecards), start and end dates. By leveraging these filters, businesses can focus on the driver data for an in-depth analysis of the total worked hours per driver.

Response Parameters

entries

  • Type: Array of Objects
  • Description: List of work entries tracking time and associated user information.

date

  • Type: String (Date)
  • Description: The specific date for the time entry (e.g., "2023-07-17").

time_tracking_mode

  • Type: String
  • Description: The mode used for tracking time (e.g., "timecards").

worked_time

  • Type: Integer (Minutes)
  • Description: The total time worked on the specific date, in minutes (e.g., 1440).

id

  • Type: Integer
  • Description: Unique identifier for the user (e.g., 1033954).

first_name

  • Type: String
  • Description: The first name of the user (e.g., "Erik").

last_name

  • Type: String
  • Description: The last name of the user (e.g., "Mclaughlin").

username

  • Type: String
  • Description: The username associated with the user (e.g., "e.mclaughlin").

email

  • Type: String
  • Description: The email address of the user.

Query Params
user_ids[]
array of int32s
required

Specify the user IDs for whom you want to fetch the worked hours.

user_ids[]*
string

Filter the response by the time tracking mode. For example: Logs or Timecards.

date

Specify the start date from when you want to check the driver's worked hours. Default is "30 days ago".

date

Specify the end date before which you want to view the driver's worked hours. Default is today's date.

int32
Defaults to 25

The number of records to display per page.

int32
Defaults to 1

Denotes the current page number.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json